<?php
/**
 * About Section options.
 *
 * @package computer-repair-solutions
 */

$computer_repair_solutions_default = computer_repair_solutions_get_default_theme_options();

/** About Info section */
$wp_customize->add_section(
    'computer_repair_solutions_featured_about_info_section',
    array(
        'title'    => __( 'About Info', 'computer-repair-solutions' ),      
        'priority' => 2,
        'panel'      => 'computer_repair_solutions_section_panel',       	
    )
);

// Enable Section
$wp_customize->add_setting('computer_repair_solutions_enable_featured_about_section', 
	array(
	'default' 			=> $computer_repair_solutions_default['computer_repair_solutions_enable_featured_about_section'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'computer_repair_solutions_sanitize_switch'
	)
);

$wp_customize->add_control('computer_repair_solutions_enable_featured_about_section', 
	array(		
	'label' 	=> __('Enable Section', 'computer-repair-solutions'),
	'section' 	=> 'computer_repair_solutions_featured_about_info_section',
	'settings'  => 'computer_repair_solutions_enable_featured_about_section',
	'type' 		=> 'checkbox',	
	)
);

$wp_customize->add_setting('computer_repair_solutions_featured_about_onload_effects', array(
    'default' => 'wow zoomIn',
	'type' => 'theme_mod',
    'sanitize_callback' => 'computer_repair_solutions_sanitize_choices',
));

$wp_customize->add_control('computer_repair_solutions_featured_about_onload_effects', array(
    'label' => __('Box Onload Transition Effects', 'computer-repair-solutions'),
    'section' => 'computer_repair_solutions_featured_about_info_section',
    'settings' => 'computer_repair_solutions_featured_about_onload_effects',
    'type' => 'select',
    'choices' => array(
        'wow bounceInLeft' => __('Bounce In Left', 'computer-repair-solutions'),
        'wow bounceInRight' => __('Bounce In Right', 'computer-repair-solutions'),
        'wow bounceInUp' => __('Bounce In Up', 'computer-repair-solutions'),
        'wow bounceInDown' => __('Bounce In Down', 'computer-repair-solutions'),
        'wow zoomIn' => __('Zoom In', 'computer-repair-solutions'),
        'wow zoomOut' => __('Zoom Out', 'computer-repair-solutions'),
        'wow fadeInDown' => __('Fade In Down', 'computer-repair-solutions'),
        'wow fadeInUp' => __('Fade In Up', 'computer-repair-solutions'),
        'wow fadeInLeft' => __('Fade In Left', 'computer-repair-solutions'),
        'wow fadeInRight' => __('Fade In Right', 'computer-repair-solutions'),
        'flip-up' => __('Flip Up', 'computer-repair-solutions'),
    ),
));


// Section Title
$wp_customize->add_setting('theme_options[featured_about_section_aboutus_subheading]', 
    array(
        'default'           => $computer_repair_solutions_default['featured_about_section_aboutus_subheading'],
        'type'              => 'theme_mod',
        'capability'        => 'edit_theme_options',	
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('theme_options[featured_about_section_aboutus_subheading]', 
    array(
        'label'       => __('Heading', 'computer-repair-solutions'),
        'section'     => 'computer_repair_solutions_featured_about_info_section',   
        'settings'    => 'theme_options[featured_about_section_aboutus_subheading]',		
        'type'        => 'text'
    )
);

// // Section Title
$wp_customize->add_setting('theme_options[featured_about_section_aboutus_heading]', 
	array(
	'default'           => $computer_repair_solutions_default['featured_about_section_aboutus_heading'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control('theme_options[featured_about_section_aboutus_heading]', 
	array(
	'label'       => __('Sub Heading', 'computer-repair-solutions'),
	'section'     => 'computer_repair_solutions_featured_about_info_section',   
	'settings'    => 'theme_options[featured_about_section_aboutus_heading]',		
		'type'        => 'text'
	)
);

// // Section description
$wp_customize->add_setting('theme_options[featured_about_section_aboutus_description]', 
	array(
	'default'           => $computer_repair_solutions_default['featured_about_section_aboutus_description'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_textarea_field'
	)
);
$wp_customize->add_control('theme_options[featured_about_section_aboutus_description]', 
	array(
	'label'       => __('Text ', 'computer-repair-solutions'),
	'section'     => 'computer_repair_solutions_featured_about_info_section',   
	'settings'    => 'theme_options[featured_about_section_aboutus_description]',		
	'type'        => 'textarea'
	)
);

// main about image 1
$wp_customize->add_setting(
    'computer_repair_solutions_about_image',
    array(
        'default'           => '',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'computer_repair_solutions_about_image',
        array(
            'label'       => __( 'About Image 1', 'computer-repair-solutions' ),
            'description' => __( 'Size 500px x 320px', 'computer-repair-solutions' ),
            'section'     => 'computer_repair_solutions_featured_about_info_section',
            'settings'    => 'computer_repair_solutions_about_image',
        )
    )
);

$wp_customize->add_setting('theme_options[featured_icon_image]', array(
		'default'           => $computer_repair_solutions_default['featured_icon_image'],
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	));
	
	$wp_customize->add_control('theme_options[featured_icon_image]', array(
		'label'    => __('Image Icon', 'computer-repair-solutions'),
		'section'  => 'computer_repair_solutions_featured_about_info_section',
		'settings' => 'theme_options[featured_icon_image]',
		'type'     => 'text',
	));
// Section Sub Title
$wp_customize->add_setting(
    'theme_options[about_service_imagetextten]',
    array(
        'default' => $computer_repair_solutions_default['about_service_imagetextten'],
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'theme_options[about_service_imagetextten]',
    array(
        'label' => __('Icon Title', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_featured_about_info_section',
        'settings' => 'theme_options[about_service_imagetextten]',
        'type' => 'text'
    )
);
// Section Sub Title
$wp_customize->add_setting(
    'theme_options[about_service_imagetextyears]',
    array(
        'default' => $computer_repair_solutions_default['about_service_imagetextyears'],
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'theme_options[about_service_imagetextyears]',
    array(
        'label' => __('Icon Text', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_featured_about_info_section',
        'settings' => 'theme_options[about_service_imagetextyears]',
        'type' => 'text'
    )
);
// main about image 1
$wp_customize->add_setting('computer_repair_solutions_about_imagesecond', array(  
	'type' => 'theme_mod',       
    'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'computer_repair_solutions_about_imagesecond', array(
    'label' => __('About Image 2', 'computer-repair-solutions'),
   'description' => __('Size 300px x 192px', 'computer-repair-solutions'),
    'section' => 'computer_repair_solutions_featured_about_info_section',
    'settings' => 'computer_repair_solutions_about_imagesecond',
)));
// main about image 1
$wp_customize->add_setting('computer_repair_solutions_about_imagethird', array(
      'type' => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'computer_repair_solutions_about_imagethird', array(
    'label' => __('About Image 3', 'computer-repair-solutions'),
    'description' => __('Size 300px x 192px', 'computer-repair-solutions'),
    'section' => 'computer_repair_solutions_featured_about_info_section',
    'settings' => 'computer_repair_solutions_about_imagethird',
)));






// // Section Title
$wp_customize->add_setting('theme_options[featured_about_section_aboutus_headingfirst]', 
	array(
	'default'           => $computer_repair_solutions_default['featured_about_section_aboutus_headingfirst'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control('theme_options[featured_about_section_aboutus_headingfirst]', 
	array(
	'label'       => __('Description 1', 'computer-repair-solutions'),
	'section'     => 'computer_repair_solutions_featured_about_info_section',   
	'settings'    => 'theme_options[featured_about_section_aboutus_headingfirst]',		
	'type'        => 'text'
	)
);
$wp_customize->add_setting('theme_options[featured_about_section_aboutus_headingsec]', 
	array(
	'default'           => $computer_repair_solutions_default['featured_about_section_aboutus_headingsec'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control('theme_options[featured_about_section_aboutus_headingsec]', 
	array(
	'label'       => __('Description 2', 'computer-repair-solutions'),
	'section'     => 'computer_repair_solutions_featured_about_info_section',   
	'settings'    => 'theme_options[featured_about_section_aboutus_headingsec]',		
	'type'        => 'text'
	)
);
	$wp_customize->add_setting('theme_options[featured_icon_aboutfirst]', array(
		'default'           => 'fas fa-comment-dots',
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	));
	
	$wp_customize->add_control('theme_options[featured_icon_aboutfirst]', array(
		'label'    => __('Plan Icon 1', 'computer-repair-solutions'),
		'section'  => 'computer_repair_solutions_featured_about_info_section',
		'settings' => 'theme_options[featured_icon_aboutfirst]',
		'type'     => 'text',
	));
	

// Section Sub Title
$wp_customize->add_setting(
	'theme_options[featured_about_section_bxtitlefirst]',
	array(
		'default' => $computer_repair_solutions_default['featured_about_section_bxtitlefirst'],
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control(
	'theme_options[featured_about_section_bxtitlefirst]',
	array(
		'label' => __('Plan Title 1', 'computer-repair-solutions'),
		'section' => 'computer_repair_solutions_featured_about_info_section',
		'settings' => 'theme_options[featured_about_section_bxtitlefirst]',
		'type' => 'text'
	)
);
$wp_customize->add_setting(
	'theme_options[featured_about_section_bxtextfirst]',
	array(
		'default' => $computer_repair_solutions_default['featured_about_section_bxtextfirst'],
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control(
	'theme_options[featured_about_section_bxtextfirst]',
	array(
		'label' => __('Plan Text 1', 'computer-repair-solutions'),
		'section' => 'computer_repair_solutions_featured_about_info_section',
		'settings' => 'theme_options[featured_about_section_bxtextfirst]',
		'type' => 'text'
	)
);
$wp_customize->add_setting('theme_options[featured_icon_aboutsec]', array(
	'default'           => 'fas fa-cloud',
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
));

$wp_customize->add_control('theme_options[featured_icon_aboutsec]', array(
	'label'    => __('Plan Icon 1', 'computer-repair-solutions'),
	'section'  => 'computer_repair_solutions_featured_about_info_section',
	'settings' => 'theme_options[featured_icon_aboutsec]',
	'type'     => 'text',
));
// Section Sub Title
$wp_customize->add_setting(
	'theme_options[featured_about_section_bxtitlesec]',
	array(
		'default' => $computer_repair_solutions_default['featured_about_section_bxtitlesec'],
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control(
	'theme_options[featured_about_section_bxtitlesec]',
	array(
		'label' => __('Plan Title 2', 'computer-repair-solutions'),
		'section' => 'computer_repair_solutions_featured_about_info_section',
		'settings' => 'theme_options[featured_about_section_bxtitlesec]',
		'type' => 'text'
	)
);


$wp_customize->add_setting(
	'theme_options[featured_about_section_bxtextsec]',
	array(
		'default' => $computer_repair_solutions_default['featured_about_section_bxtextsec'],
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control(
	'theme_options[featured_about_section_bxtextsec]',
	array(
		'label' => __('Plan Text 2', 'computer-repair-solutions'),
		'section' => 'computer_repair_solutions_featured_about_info_section',
		'settings' => 'theme_options[featured_about_section_bxtextsec]',
		'type' => 'text'
	)
);
$wp_customize->add_setting('theme_options[featured_icon_aboutthird]', array(
	'default'           => 'fas fa-video',
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
));

$wp_customize->add_control('theme_options[featured_icon_aboutthird]', array(
	'label'    => __('Plan Icon 1', 'computer-repair-solutions'),
	'section'  => 'computer_repair_solutions_featured_about_info_section',
	'settings' => 'theme_options[featured_icon_aboutthird]',
	'type'     => 'text',
));
// Section Sub Text
$wp_customize->add_setting(
	'theme_options[featured_about_section_bxtitlethird]',
	array(
		'default' => $computer_repair_solutions_default['featured_about_section_bxtitlethird'],
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control(
	'theme_options[featured_about_section_bxtitlethird]',
	array(
		'label' => __('Plan Title 1', 'computer-repair-solutions'),
		'section' => 'computer_repair_solutions_featured_about_info_section',
		'settings' => 'theme_options[featured_about_section_bxtitlethird]',
		'type' => 'text'
	)
);

$wp_customize->add_setting(
	'theme_options[featured_about_section_bxtextthird]',
	array(
		'default' => $computer_repair_solutions_default['featured_about_section_bxtextthird'],
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control(
	'theme_options[featured_about_section_bxtextthird]',
	array(
		'label' => __('Plan Text 3', 'computer-repair-solutions'),
		'section' => 'computer_repair_solutions_featured_about_info_section',
		'settings' => 'theme_options[featured_about_section_bxtextthird]',
		'type' => 'text'
	)
);


